CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions
TestSetUp Class Reference

Decorates a test by providing a specific setUp() and tearDown(). More...

`#include <TestSetUp.h>`

Inheritance diagram for TestSetUp:
[legend]
Collaboration diagram for TestSetUp:
[legend]

List of all members.

## Public Member Functions
| TestSetUp (Test *test)
void | run (TestResult *result)
| Run the test, collecting results.
## Protected Member Functions
virtual void | setUp ()
virtual void | tearDown ()
## Private Member Functions
| TestSetUp (const TestSetUp &)
void | operator= (const TestSetUp &)

## Detailed Description

Decorates a test by providing a specific setUp() and tearDown().

## Constructor & Destructor Documentation

CPPUNIT_NS_BEGIN TestSetUp::TestSetUp | ( | Test * | test | ) |

TestSetUp::TestSetUp | ( | const TestSetUp & |  | ) | `[private]`

## Member Function Documentation

void TestSetUp::operator= | ( | const TestSetUp & |  | ) | `[private]`

void TestSetUp::run | ( | TestResult * | result | ) | `[virtual]`

Run the test, collecting results.

Reimplemented from TestDecorator.

void TestSetUp::setUp | ( |  | ) | `[protected, virtual]`

void TestSetUp::tearDown | ( |  | ) | `[protected, virtual]`

The documentation for this class was generated from the following files:

- TestSetUp.h
- TestSetUp.cpp

| hosts this site. |  | Send comments to: CppUnit Developers